
QGIS Application - Bug report #7781

Bug report # 8051 (Closed): setSubsetOfAttributes() doesn't work

selecting attributes in add attribute table in Map Composer not working well

2013-05-08 06:23 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16676

Description

After adding an attribute table to composer, and deselecting some of the attributes, the resulting table show the same number of

columns, but with empty cells.

In the following image, only "numero" and "estado" attribute were selected.

https://www.dropbox.com/s/9hnnk2q6tn8jp00/map_composer_table.JPG?dl=1

Working well in 1.8, therefore I think it's a regression.

Associated revisions

Revision abd7533f - 2013-07-08 09:49 PM - Jürgen Fischer

composer table:

- fix api updates (fixes #7781)

- store/restore geometry of attribute selection dialog

History

#1 - 2013-05-14 03:42 PM - Carlos da Ponte

Having them same issue.  would be great to have a fix on this soon as personally I'm having to use the master as a production version due to the massive

feature differences between it and 1.8.

thanks!

C

#2 - 2013-06-17 03:54 AM - Nathan Woodrow

- Parent task set to #8051

#3 - 2013-07-08 12:50 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"abd7533fcad0e685c63ec59cd756f299f8916ac6".
